GRFDiff(1)

NAME
GRFDiff - A tool to create a binary GRF diff from to GRFs.

SYNOPSIS
grfdiff [-hnxyv] [-l numbers] [-o GRF-File] Original-GRF-file New-GRF-file

Compare the two GRF files and produce a GRD file containing only the sprites from the second file that are different from the first file.

GRFDiff makes a .GRD file with the same basename as the new GRF file.

OPTIONS

-h  Display the help message.

-l numbers
    Save the sprites with these numbers in the .GRD instead of finding the modified sprites. With this option, the first GRF file can be omitted.

    Format of the numbers: <from1>[-<to1>][,<from2>[-<to2>]]... e.g. 1-5,8,20-31 (must be increasing numbers).

-n  Only show a list of modified sprites, don't make a .GRF file.

-x  Make a self-extracting (.EXE) file instead of a .GRD.

-y  Answer 'y' to all questions.

-v  Display the version.

You can specify several sets of GRF files along with their -l options by separating them with a double-dash `--'. The result will be written to a single .GRD file. Only -l is valid after the first set.

SEE ALSO
The documentation in /usr/share/doc/grfcodec/

AUTHOR
GRFDiff was written by Josef Drexler.

This manual page was written by Remko Bijker.

COPYRIGHT
GRFDiff is Copyright (C) 2003 by Josef Drexler <jdrexler@uwo.ca>